Ubuntu

Volume increase & decrease by function buttons never release on Dell Studio 1558

Reported by pippom77 on 2010-03-29
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Kamal Mostafa
udev (Ubuntu)
Undecided
Kamal Mostafa

Bug Description

When using Volume function buttons on Dell Studio 15, the volume start increasing to maximum or decreasing to minimum.
Then menus on the upper and lower bar become unusable and it is impossible to use the keyboard to input text: furthermore it is not possible to move windows (upper window bars get insensitive).
Ctrl-alt-canc keeps working: this is the only way to reboot.
The kernel is Lucid Lynx beta 1; the computer is new, so I don't know if the bug affects other kernel versions.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: linux-image-2.6.32-17-generic-pae 2.6.32-17.26
Regression: No
Reproducible: Yes
TestedUpstream: Yes
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic-pae 2.6.32.10+drm33.1
Uname: Linux 2.6.32-17-generic-pae i686
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: marco 1779 F.... pulseaudio
CRDA: Error: [Errno 2] Nessun file o directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0b00000 irq 22'
   Mixer name : 'IDT 92HD73C1X5'
   Components : 'HDA:111d7675,10280413,00100103'
   Controls : 18
   Simple ctrls : 12
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xcfedc000 irq 17'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Mon Mar 29 17:44:41 2010
HibernationDevice: RESUME=UUID=87af8392-99ee-4c6e-9d27-82b2063d14c3
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
MachineType: Dell Inc. Studio 1558
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic-pae root=UUID=4b878a10-beb4-4d07-bdec-7cc784613f08 ro quiet splash
ProcEnviron:
 LANG=it_IT.utf8
 SHELL=/bin/bash
RelatedPackageVersions: linux-firmware 1.33
RfKill:
 0: dell-wifi: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
dmi.bios.date: 03/11/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A04
dmi.board.name: 0874P6
dmi.board.vendor: Dell Inc.
dmi.board.version: A04
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A04
dmi.modalias: dmi:bvnDellInc.:bvrA04:bd03/11/2010:svnDellInc.:pnStudio1558:pvrA04:rvnDellInc.:rn0874P6:rvrA04:cvnDellInc.:ct8:cvrA04:
dmi.product.name: Studio 1558
dmi.product.version: A04
dmi.sys.vendor: Dell Inc.

pippom77 (pippo-nauta) wrote :
Kamal Mostafa (kamalmostafa) wrote :

I experience the same problem on the same Dell Studio 1558 model.
The problem still occurs in 2.6.32-19-generic #28~pre1 SMP Wed Mar 31 14:57:35 UTC 2010 x86_64.

More recovery notes: after getting into the bad state, you can regain a working desktop by switching to Ctrl-Alt-F1 then back to Ctrl-Alt-F7 again (note that on this Dell model, you might actually need to press Ctrl-Fn-Alt to enable the "regular" numbered F-key functionality, depending on BIOS configuration).

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Jerone Young (jerone) wrote :

Unfortunately for these machines they do not get the grand Ubuntu enablement treatment other Dell machines get. Also this issue can only fix with Ubuntu 10.04 at this point (some new infrastructure to handle problems like this).

            If you install 10.04 beta. Copy the file I have attached to this comment to /lib/udev/rules.d/

            Report here if it works or open a new bug and report that here.

Jerone Young (jerone) wrote :

I copied an pasted my last statement. But please copy file .. reboot and see if it works.

summary: - Volume inc/decrease by function buttons makes menu and keyboard crash -
- Dell Studio 15
+ Volume increase & decrease by function buttons never release on Dell
+ Studio 1558
Jerone Young (jerone) on 2010-04-06
Changed in linux (Ubuntu):
status: Confirmed → Invalid
Jerone Young (jerone) wrote :

Got a hold of a 1558 & the fix does work. Submitted to upstream udev. May make it into 10.04.

Kamal Mostafa (kamalmostafa) wrote :

Thanks Jerone -- yes, I also confirm the fix for the Dell Studio 1558.

I also note that there are reports of the exact same problem on other (non-Dell) laptop models (LP: #42043, LP: #374884). The same fix is likely to work for them too. Would you like to address those bugs, or should I?

Changed in udev (Ubuntu):
status: New → Confirmed
Kamal Mostafa (kamalmostafa) wrote :

Oops! The similar bugs I meant to reference are LP: #420473 and LP: #374884.

Matt G (mgiovine) wrote :

Moved this bug report over from bug #465250

I'm running Karmic (9.10) amd64 on my Dell Studio 1558 (Intel Core i3 processor) and I also experience this bug.

The mute key (F7) works fine.
But the volume up (F9) and volume down (F8) keys have problems
Not only do they not stop increasing (or decreasing) in volume, but my computer becomes unresponsive.
I find myself having to press control + alt + delete to restart (brings me back to the good old days of Windows!)

Looking forward to a fix.

@Jerone

Thank you for the file. So if I understand correctly, copying 95-keyboard-force-release.rules to /lib/udev/rules.d/ will only work on 10.04, and not on 9.10?

Kamal Mostafa (kamalmostafa) wrote :

@Matt -- that is correct: The 95-keyboard-force-release.rules method is only applicable to 10.04 Beta -- it will not work for previous releases.

Fixing this for 9.10 requires a fix in the kernel itself. I am going to try to extend the in-kernel fix for the Studio 1557 (now pending for release in 9.10) to also work for the Studio 1558.

Changed in udev (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
status: Confirmed → In Progress
Kamal Mostafa (kamalmostafa) wrote :

Ubuntu 10.04 Beta users can install a test fix for this problem from this PPA:
  https://launchpad.net/~kamalmostafa/+archive/lucid-volume-keys

The PPA applies a fix similar to the method outlined by Jerone in comment #3 (either method works just as well for the Dell Studio 1558).

Kamal Mostafa (kamalmostafa) wrote :

This bug was fixed in the package udev - 151-8

---------------
udev (151-8) lucid; urgency=low

  * Merge some fixes from GIT HEAD:
    - Fix keymaps for upcoming Dell laptops.
    - cdrom_id: Retry to open the device if it's EBUSY. (LP: #554433)
 -- Martin Pitt <email address hidden> Fri, 09 Apr 2010 09:38:54 +0200

Changed in udev (Ubuntu):
status: In Progress → Fix Released
Changed in linux (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Kamal Mostafa (kamalmostafa) wrote :

Attached patch adds this model (MTC/product_version=="A0") to the common-volume-keys release quirk.
Prerequisite patches:
  common-volume-keys.patch from LP: #565459
  udev-151-12~kamal~volkeys1.patch from LP: #420473 (for diff context)

Kamal Mostafa (kamalmostafa) wrote :

Oops! Please ignore comment #12 regarding the "MTC" patch -- it is not relevant to this bug report.

Santiago Romero (sromero) wrote :

 I suffer the same problem in my HP 6730b.

 When I press the "+" or "-" volume function keys (tactile keys between keyboard and screen) then the key blinks like if it's being continously pressed and notify-osd shows in the screen the volume meter until I reboot the computer.

 The notify-osd "volume meter" then appears continuosly and it sometimes steals the keyboard focus and mouse motion so I have to reboot to continue working correctly in my lapton.

 Those keys worked perfectly in 9.04 and 9.10, and have started working incorrectly after upgrade to 10.04.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers